<template>
    <section class="bg-light py-4">
        <section class="container">
            <div class="row">
                <div class="col-4">
                    <InstructorAbout :instructor="instructor" />
                </div>
                <div class="col-8">
                    <div class="bg-white rounded-3 p-3">
                        <strong class="d-block mb-3">About the Instructor</strong>
                        <p class="mb-4">{{ instructor.about }}</p>
                        <div class="d-flex justify-content-between mb-3">
                            <div>
                                <strong class="d-block">Courses</strong>
                                <small>Showing 8 of 8 courses</small>
                            </div>
                            <!-- <div class="dropdown">
                                <button class="btn px-3 py-2 border" type="button" data-bs-toggle="dropdown"
                                    aria-expanded="false">
                                    Sort by: Default
                                    <i class="bi bi-chevron-down"></i>
                                </button>
                                <ul class="dropdown-menu">
                                    <li><a class="dropdown-item" href="#">Action</a></li>
                                    <li><a class="dropdown-item" href="#">Another action</a></li>
                                    <li><a class="dropdown-item" href="#">Something else here</a></li>
                                </ul>
                            </div> -->
                        </div>
                        <div class="instructor-courses row row-cols-3">
                            <div v-for="course in courses" :key="course.id" class="mb-4">
                                <CourseCard :course="course" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </section>
</template>

<style lang="scss">
.instructor-courses {
    max-height: 550px;
    overflow-y: auto;
}
</style>

<script setup>
import { ref } from 'vue';
import InstructorAbout from '../components/InstructorAbout.vue';
import CourseCard from '../components/CourseCard.vue';

let instructor = ref({})
let courses = ref({})

// Fetch instructor profile
axios.get(`/instructor/show/${3}`, {
    headers: {
        'Content-Type': 'application/json',
        'Accept': 'application/json'
    }
}).then((response) => {
    instructor.value = response.data.data.instructor;
    courses.value = response.data.data.courses;
}).catch((error) => {
    console.error(error);
});
</script>
